import { NestMiddleware } from '@nestjs/common';
import { OpenTelemetryModuleOptions } from '../interfaces';
import { MetricService } from '../metrics/metric.service';
export declare class ApiMetricsMiddleware implements NestMiddleware {
    private readonly metricService;
    private readonly options;
    private defaultMetricAttributes;
    private httpServerRequestCount;
    private httpServerResponseCount;
    private httpServerDuration;
    private httpServerRequestSize;
    private httpServerResponseSize;
    private httpServerResponseSuccessCount;
    private httpServerResponseErrorCount;
    private httpClientRequestErrorCount;
    private httpServerAbortCount;
    private readonly ignoreUndefinedRoutes;
    constructor(metricService: MetricService, options?: OpenTelemetryModuleOptions);
    use(req: any, res: any, next: any): void;
    private getStatusCodeClass;
}
